Bug Hunting Session
Bug 55018 - FILESAVE: Merged table cells containing font-work cause table distortion after save to DOC, DOCX (example in Comment 3, status in Comment 14)
Summary: FILESAVE: Merged table cells containing font-work cause table distortion afte...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2012-09-17 13:42 UTC by V.K.
Modified: 2019-01-11 20:39 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Example DOC and DOCX files and source ODT. (17.21 KB, application/zip)
2012-09-17 13:42 UTC, V.K.
Details
test case for testing saving to doc (60.19 KB, application/vnd.oasis.opendocument.text)
2012-10-06 10:01 UTC, sasha.libreoffice
Details
sasha's test odt save as doc, shown in pdf file (288.18 KB, application/pdf)
2013-10-16 02:22 UTC, Kevin Suo
Details
sasha's test odt save as docx, shown in pdf file (142.44 KB, application/pdf)
2013-10-16 02:24 UTC, Kevin Suo
Details
ODT vs. DOC screenshot (602.24 KB, image/jpeg)
2017-07-23 08:06 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V.K. 2012-09-17 13:42:07 UTC
Created attachment 67283 [details]
Example DOC and DOCX files and source ODT.

Joined cells in table cause table distortion after save to doc and docx and reopen in LO.
Steps to reproduce:
1. In writer insert any table. 
2. Join some two or more cells.
3. Save as DOC (2003) and DOCX.
4. Reopen files in LO. In both cases table is distorted (in different way).

Libreoffice 3.6.1.2
Windows 7, 32 bit.
Comment 1 Soren Nielsen 2012-09-27 16:22:58 UTC
Confirmed this bug, using the same ODF-file as V.K.

I have have had the same problem exporting tables in MS Office formats (97, doc and 2007, docx) and getting a corrupted result, when reopening the files in LibreOffice 3.6.0.4. The two files exported from LO are read correctly by MS Word 2010 (Windows).

The Word 97 file is read correctly by the slightly obsolete NeoOffice 3.1.2 p9 (based on Open Office), whereas the Word 2007 file is corrupted in NeoOffice, in the same way as in LO.

Both LO and NeoOffice read the ODF file correctly.

LibreOffice 3.6.0.4
OS X 10.8.1
Comment 2 sasha.libreoffice 2012-10-05 12:42:36 UTC
Thanks for bugreport
What about merged cells lost, slightly resembles this:
Bug 35991 - merged cells in tables in DOC files not saved correctly by Writer
What about distortion:
Looks like 32-bit specific bug
Comment 3 sasha.libreoffice 2012-10-06 10:01:42 UTC
Created attachment 68151 [details]
test case for testing saving to doc

with this file distortion happens when saving to doc format
reproduced in 3.6.2 on Fedora 64 bit
Comment 4 sasha.libreoffice 2012-10-06 10:04:25 UTC
changing version to 3.6.0 as most early reproduced
Comment 5 Aurimas Fišeras 2013-01-27 11:12:49 UTC
Bibisected both cases (saving as doc and docx).
Comment 6 Kevin Suo 2013-10-16 02:22:26 UTC
Created attachment 87708 [details]
sasha's test odt save as doc, shown in pdf file

Tested in 4.1.2.3

Save sasha.libreoffice's test odt file as doc is totally in a mass, see the attached pdf.
Comment 7 Kevin Suo 2013-10-16 02:24:47 UTC
Created attachment 87709 [details]
sasha's test odt save as docx, shown in pdf file

Tested in 4.1.2.3

When save sasha.libreoffice's test file as docx, it totally in a mass, and the page bocame portrait rather than landscape, see attached pdf.
Comment 8 Björn Michaelsen 2014-01-17 09:51:53 UTC Comment hidden (obsolete)
Comment 9 Joel Madero 2014-03-25 23:06:51 UTC
Confirmed on 4.3 built Sun Mar 23 23:07:35 2014 +0100

Quite serious - leaving as Major - Highest
Comment 10 tommy27 2014-05-02 14:37:48 UTC
bug still confirmed in later version (see comment above)
moving to the mab4.2 list since 4.1.x is END OF LIFE
Comment 11 Björn Michaelsen 2014-10-11 00:26:38 UTC
Removing bibisected keywords as from the comments it could have been introduced anywhere between 3.1.2 and 3.6.0.4 (Comment 1) and a bibisect could clarify.
Comment 12 tommy27 2014-12-08 08:57:42 UTC
still reproducible under Win8.1 64bit using LibO 4.3.4.1 and 4.5.0.0alpha

moving bug to mab4.3 list since 4.2.x is END OF LIFE
Comment 13 Rostislav 'R.Yu.' Okulov 2014-12-30 10:18:50 UTC
Ubuntu 14.10 can not reproduce this with LO 4332 or 4.5 alpha 0
Comment 14 Timur 2015-01-20 13:12:36 UTC
Problem with example from Comment 0 cannot be reproduced anymore. 

Title changed from "FILESAVE and FILEOPEN: Joined cells in table cause table distortion after save to doc and docx and reopen in LO" to "FILESAVE: Joined cells in table cause table distortion after save to DOC, DOCX (example in Comment 3)"

(In reply to Kevin Suo from comment #7)
> When save sasha.libreoffice's test file as docx, it totally in a mess
Still so with LO 4.4.0.
> the page became portrait rather than landscape.
This may be some other bug, like Bug 88267 - Page orientation doesn't export to .doc/.docx. Just for a reference and a test.

(In reply to sasha.libreoffice from comment #4)
> changing version to 3.6.0 as most early reproduced
This has never worked fine. So, doesn't seem to be a regression as marked. Looks inherited from OO for doc.
Comment 15 Joel Madero 2015-01-21 22:04:17 UTC
Updated version per last comment.
Comment 16 Matthew Francis 2015-01-27 05:14:42 UTC
Issues with .docx export are not inherited from OOo by definition :) (they still don't support it). This bug should probably be split up into separate reports for the specific issues with the .doc and .docx filters, though that would take some investigation - bugs of the form "fix everything that is wrong with this file!" don't tend to be easy to attract developer attention to.

Regardless, LO 3.3.0 doesn't export attachment 68151 [details] correctly to either .doc or .docx, so the remaining issues aren't regressions and can't be bibisected. Adjusting metadata to suit.
Comment 17 QA Administrators 2016-11-08 11:18:35 UTC Comment hidden (obsolete)
Comment 18 Telesto 2017-06-14 09:16:43 UTC
I can't repro. The DOC or DOCX exported from the ODT look fine to me (or I'm i missing something?)
Version: 5.5.0.0.alpha0+
Build ID: 076ed447f694239d5c67adee528ea6e471d909ff
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-09_23:54:20
Locale: nl-NL (nl_NL); Calc: CL
Comment 19 Timur 2017-06-14 13:57:33 UTC
Maybe Comment 14 and example in Comment 3. Still the same, wrong.
Comment 20 tommy27 2017-07-23 08:06:51 UTC
Created attachment 134790 [details]
ODT vs. DOC screenshot

bug still present in LibO 5.3.4.2 and recent 6.0.0.0 alpha daily buil.

see attached screenshot.
Comment 21 QA Administrators 2018-11-15 03:43:58 UTC Comment hidden (obsolete)
Comment 22 Timur 2018-11-15 08:08:39 UTC
This bug should've been closed for original report and new one opened for Sasha's example but with minimal test case.
Comment 23 Xisco Faulí 2019-01-11 20:39:03 UTC
Lowering importance: Highest + Inherit from OOo doesn't make much sense at this point anymore...